# Class CIM_LogicalElementPerformsUoW
extends CIM_Dependency

This association identifies a specific execution of a UnitOf Work with the specific LogicalElement that is performing/ has performed it. Where the LogicalElementUnitOfWorkDef association describes what an Element can do, this relationship describes what a particular Element is doing or has done.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_LogicalElementPerformsUoW

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association identifies a specific execution of a UnitOf Work with the specific LogicalElement that is performing/ has performed it. Where the LogicalElementUnitOfWorkDef association describes what an Element can do, this relationship describes what a particular Element is doing or has done.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogicalElementPerformsUoW | CIM_LogicalElement
Dependent | CIM_LogicalElementPerformsUoW | CIM_UnitOfWork

## Class Methods